
function CreateEnvironment(duration)
	local obj = Create("CEnvironment")
	obj.m_duration = duration
	return obj
end

heatWave = CreateEnvironment(4*60)
heatWave.m_rainType = 0
heatWave.plantsOnAirTakeFireChance = 0.02;
heatWave.m_fastEvaporationEverywhere = true;

rainFlood = CreateEnvironment(3*60)
rainFlood.m_rainType = 2
rainFlood.m_rainQuantityModifier = 3

meteorShower = CreateEnvironment(1*60)
meteorShower.m_meteorShowerYMax = 940
meteorShower.m_meteorShowerYMin = 880
meteorShower.m_preventSave = true
meteorShower.m_minDay = 6

volcanoEruption = CreateEnvironment(13*60)
volcanoEruption.m_eruption = true
volcanoEruption.m_minDay = 6

earthquake = CreateEnvironment(1*10)
earthquake.m_buildingsGravityMult = 1.5
earthquake.m_shakeCam = true

quietNight = CreateEnvironment(108)
quietNight.m_isNightEnv = true
quietNight.m_nightSpawnMultiplier = 0

restlessNight = CreateEnvironment(108)
restlessNight.m_isNightEnv = true
restlessNight.m_nightSpawnMultiplier = 1.5

gravityWaves = CreateEnvironment(1*60)
gravityWaves.m_buildingsGravityMult = 0.7
gravityWaves.m_unitsGravityMult = 0.7

acidWater = CreateEnvironment(3*60)
acidWater.m_acidWater = true

drowsiness = CreateEnvironment(2*60)
drowsiness.m_monsterSpeedMult = 0.4

matingSeason = CreateEnvironment(2*60)
matingSeason.m_isDayEnv = true
matingSeason.m_monsterSpeedMult = 2
matingSeason.m_monsterAggroDistMult = 5

luckyDay = CreateEnvironment(1*60)
luckyDay.m_isDayEnv = true
luckyDay.m_monsterDropMult = 100
luckyDay.m_criticalMult = 100

sunEclipse = CreateEnvironment(2*60)
sunEclipse.m_isDayEnv = true
sunEclipse.m_sunEclipse = true;

mist = CreateEnvironment(2*60)
mist.m_mist = true;

emp = CreateEnvironment(2*60)
emp.m_isNightEnv = true
emp.m_emp = true;

sharkstorm = CreateEnvironment(2*60)
sharkstorm.m_isDayEnv = true
sharkstorm.m_rainType = 2
sharkstorm.m_rainQuantityModifier = 2
sharkstorm.m_rainSharksYMax = 940
sharkstorm.m_rainSharksYMin = 880
sharkstorm.m_minDay = 6

list_environments = { heatWave, rainFlood, meteorShower, earthquake, quietNight, restlessNight, gravityWaves, acidWater, drowsiness, matingSeason, luckyDay, sunEclipse, mist, emp, sharkstorm };
-- , volcanoEruption
